Create customs declaration
POST /bookings/v4/{id}/custom_declaration
POST
/bookings/v4/{id}/custom_declaration
Creates a customs declaration for an international booking. Required for all shipments leaving Australia.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
integer
Example
12345678Booking ID
Request Body
Section titled “Request Body ”object
contents_type
Type of contents (e.g. merchandise, gift, documents, sample)
string
Example
merchandise contents_explanation
Detailed explanation of contents
string
Example
Electronic components for retail saleResponses
Section titled “ Responses ”Customs declaration created
Validation error
object
error
Error code or type
string
Example
validation_error message
Human-readable error message
string
Example
The sender postcode field is required.Unauthorized
object
error
Error code or type
string
Example
validation_error message
Human-readable error message
string
Example
The sender postcode field is required.Booking not found
object
error
Error code or type
string
Example
validation_error message
Human-readable error message
string
Example
The sender postcode field is required.